For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
      • POSTHandle An Outbound Call Via Exotel
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
Conversational AIExotel

Handle An Outbound Call Via Exotel

POST
/v1/convai/exotel/outbound-call
POST
/v1/convai/exotel/outbound-call
$curl -X POST https://api.elevenlabs.io/v1/convai/exotel/outbound-call \
> -H "Content-Type: application/json" \
> -d '{
> "agent_id": "agent_987654321",
> "agent_phone_number_id": "phone_123456789",
> "to_number": "+14155552671"
>}'
1{
2 "success": true,
3 "message": "Outbound call initiated successfully.",
4 "conversation_id": "conv_abc123xyz789",
5 "callSid": "EXO1234567890abcdef"
6}
Handle an outbound call via Exotel Connect API
Was this page helpful?
Previous

Changelog

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
agent_idstringRequired
agent_phone_number_idstringRequired
to_numberstringRequired
conversation_initiation_client_dataobject or nullOptional
telephony_call_configobjectOptional

Response

Successful Response
successboolean
messagestring
conversation_idstring or null
callSidstring or null
Exotel CallSid for the originated call

Errors

422
Unprocessable Entity Error